package types

import (
	"gitp78su.ipnodns.ru/svi/goarch/lev0/alias"
)

// IElemBase -- интерфейс элемента схемы
type IElemBase interface {
	// Type -- возвращает тип элемента
	Type() alias.Type
	// Id -- возвращает идентификатор
	Id() alias.Id
	// SelfCheck -- самопроверка базового элемента
	SelfCheck()
	// Coord -- возвращает координаты метки
	Coord() ICoord
}
